#!/usr/bin/perl -w

use strict;
use warnings;
use JSON;

my $APIKEY = "6532d6454b8aa370768e63d6ba5a832e";
my $StationID = "KUTRIVER63";
my $Units = "m"; # e = imperial, m = metric

my $info = `curl -sm "https://api.weather.com/v2/pws/observations/current?apiKey=$APIKEY&stationId=$StationID&numericPrecision=decimal&format=json&units=$Units"` or die "Error";

my $json = decode_json $info or die "Error";

my $loc   = %{$json}{"observations"}->[0]->{"stationID"};
my $temp  = %{$json}{"observations"}->[0]->{"metric"}->{"temp"};
my $windS = %{$json}{"observations"}->[0]->{"metric"}->{"windSpeed"};
my $windD = %{$json}{"observations"}->[0]->{"winddir"};

print "?:".$temp.":".$windS.":".$windD.":".$loc;
